# DataExchange
TKXCAF
XCAFDoc

# XCAFDoc_DocumentTool Class Reference

Defines sections structure of an XDE document.
.

`#include <XCAFDoc_DocumentTool.hxx>`

## Public Member Functions

Standard_EXPORT | XCAFDoc_DocumentTool ()
Standard_EXPORT void | Init () const
| to be called when reading this attribute from file
Standard_EXPORT const Standard_GUID & | ID () const
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
static Standard_EXPORT Handle_XCAFDoc_DocumentTool | Set (const TDF_Label &L, const Standard_Boolean IsAcces=Standard_True)
| Create (if not exist) DocumentTool attribute on 0.1 label if <isacces> is true, else on <l> label. This label will be returned by DocLabel(); If the attribute is already set it won't be reset on <l> even if <isacces> is false. ColorTool and ShapeTool attributes are also set by this method. .
static Standard_EXPORT Standard_Boolean | IsXCAFDocument (const Handle(TDocStd_Document)&Doc)
static Standard_EXPORT TDF_Label | DocLabel (const TDF_Label &acces)
| Returns label where the DocumentTool attribute is or 0.1 if DocumentTool is not yet set. .
static Standard_EXPORT TDF_Label | ShapesLabel (const TDF_Label &acces)
| Returns sub-label of DocLabel() with tag 1. .
static Standard_EXPORT TDF_Label | ColorsLabel (const TDF_Label &acces)
| Returns sub-label of DocLabel() with tag 2. .
static Standard_EXPORT TDF_Label | LayersLabel (const TDF_Label &acces)
| Returns sub-label of DocLabel() with tag 3. .
static Standard_EXPORT TDF_Label | DGTsLabel (const TDF_Label &acces)
| Returns sub-label of DocLabel() with tag 4. .
static Standard_EXPORT TDF_Label | MaterialsLabel (const TDF_Label &acces)
| Returns sub-label of DocLabel() with tag 5. .
static Standard_EXPORT Handle_XCAFDoc_ShapeTool | ShapeTool (const TDF_Label &acces)
| Creates (if it does not exist) ShapeTool attribute on ShapesLabel(). .
static Standard_EXPORT Handle_XCAFDoc_ColorTool | ColorTool (const TDF_Label &acces)
| Creates (if it does not exist) ColorTool attribute on ColorsLabel(). .
static Standard_EXPORT Handle_XCAFDoc_LayerTool | LayerTool (const TDF_Label &acces)
| Creates (if it does not exist) LayerTool attribute on LayersLabel(). .
static Standard_EXPORT Handle_XCAFDoc_DimTolTool | DimTolTool (const TDF_Label &acces)
| Creates (if it does not exist) DimTolTool attribute on DGTsLabel(). .
static Standard_EXPORT Handle_XCAFDoc_MaterialTool | MaterialTool (const TDF_Label &acces)
| Creates (if it does not exist) DimTolTool attribute on DGTsLabel(). .

## Constructor & Destructor Documentation

Standard_EXPORT XCAFDoc_DocumentTool::XCAFDoc_DocumentTool | ( |  | ) |

## Member Function Documentation

static Standard_EXPORT TDF_Label XCAFDoc_DocumentTool::ColorsLabel | ( | const TDF_Label & | acces | ) | `[static]`

static Standard_EXPORT Handle_XCAFDoc_ColorTool XCAFDoc_DocumentTool::ColorTool | ( | const TDF_Label & | acces | ) | `[static]`

static Standard_EXPORT TDF_Label XCAFDoc_DocumentTool::DGTsLabel | ( | const TDF_Label & | acces | ) | `[static]`

static Standard_EXPORT Handle_XCAFDoc_DimTolTool XCAFDoc_DocumentTool::DimTolTool | ( | const TDF_Label & | acces | ) | `[static]`

static Standard_EXPORT TDF_Label XCAFDoc_DocumentTool::DocLabel | ( | const TDF_Label & | acces | ) | `[static]`

static Standard_EXPORT const Standard_GUID& XCAFDoc_DocumentTool::GetID | ( |  | ) | `[static]`

Standard_EXPORT const XCAFDoc_DocumentTool::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Standard_GUID& XCAFDoc_DocumentTool::ID | ( |  | ) | const

Standard_EXPORT void XCAFDoc_DocumentTool::Init | ( |  | ) | const

static Standard_EXPORT Standard_Boolean XCAFDoc_DocumentTool::IsXCAFDocument | ( | const Handle(TDocStd_Document)& | Doc | ) | `[static]`

static Standard_EXPORT TDF_Label XCAFDoc_DocumentTool::LayersLabel | ( | const TDF_Label & | acces | ) | `[static]`

static Standard_EXPORT Handle_XCAFDoc_LayerTool XCAFDoc_DocumentTool::LayerTool | ( | const TDF_Label & | acces | ) | `[static]`

static Standard_EXPORT TDF_Label XCAFDoc_DocumentTool::MaterialsLabel | ( | const TDF_Label & | acces | ) | `[static]`

static Standard_EXPORT Handle_XCAFDoc_MaterialTool XCAFDoc_DocumentTool::MaterialTool | ( | const TDF_Label & | acces | ) | `[static]`

Standard_EXPORT Handle_TDF_Attribute XCAFDoc_DocumentTool::NewEmpty | ( |  | ) | const

Standard_EXPORT void XCAFDoc_DocumentTool::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const

Standard_EXPORT void XCAFDoc_DocumentTool::Restore | ( | const Handle(TDF_Attribute)& | with | ) |

static Standard_EXPORT Handle_XCAFDoc_DocumentTool XCAFDoc_DocumentTool::Set | ( | const TDF_Label & | L,
|  | const Standard_Boolean | IsAcces = `Standard_True`
| ) | `[static]`

static Standard_EXPORT TDF_Label XCAFDoc_DocumentTool::ShapesLabel | ( | const TDF_Label & | acces | ) | `[static]`

static Standard_EXPORT Handle_XCAFDoc_ShapeTool XCAFDoc_DocumentTool::ShapeTool | ( | const TDF_Label & | acces | ) | `[static]`

The documentation for this class was generated from the following file:

- XCAFDoc_DocumentTool.hxx